## NAME

i.ortho.transform - Computes a coordinate transformation based on the control points.

## KEYWORDS

imagery, orthorectify, transformation, GCP

## SYNOPSIS

i.ortho.transform
i.ortho.transform --help
i.ortho.transform [-srx] group=name [format=string[,string,...]] [coords=name] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-s
  Display summary information
-r
  Reverse transform of coords file or coeff. dump
  Target east,north,height coordinates to local x,y,z
-x
  Display transform matrix coefficients
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

group=name [required]
  Name of input imagery group
format=string[,string,...]
  Output format
  Options: idx, src, dst, fwd, rev, fxy, rxy, fd, rd
  Default: fd,rd
  idx: point index
  src: source coordinates
  dst: destination coordinates
  fwd: forward coordinates (destination)
  rev: reverse coordinates (source)
  fxy: forward coordinates difference (destination)
  rxy: reverse coordinates difference (source)
  fd: forward error (destination)
  rd: reverse error (source)
coords=name
  File containing coordinates to transform ("-" to read from stdin)
  Local x,y,z coordinates to target east,north,height

## DESCRIPTION

i.ortho.transform is an utility to compute transformation based upon GCPs and output error measurements.

If coordinates are given with the input file option or fed from `stdin`, both the input and the output format is "x y z" with one coordinate pair per line. Reverse transform is performed with the -r flag.

The format option determines how control points are printed out. A summary on the control points can be printed with the -s flag. The summary includes maximum deviation observed when transforming GCPs and overall RMS. The format option is ignored when coordinates are given with the input file option.

## NOTES

Ortho-transformation is a 2-step transformation. First, source coordinates are transformed to sensor coordinates, then sensor coordinates are transformed to target coordinates.

## SEE ALSO

i.rectify

## TODO

Update this document with x,y,z<->E,N,H information

## AUTHORS

Brian J. Buckley
Glynn Clements
Hamish Bowman

Last changed: $Date$

## SOURCE CODE

Available at: i.ortho.transform source code (history)

Main index | Imagery index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual